Changelog
=========

16.4 - (2024-05-08)
---------------------------
* Bug fix: Fix uncheck inputs
  [@Gomez - refs #254]

16.3 - (2024-05-08)
---------------------------
* Bug fix: Fix criteria count & pin lint versions
  [@Gomez - refs #253]

16.2 - (2023-10-17)
---------------------------
* Re-release broken 16.1 version
  [avoinea]

16.1 - (2023-10-16)
---------------------------
* Bug fix: Fix Select2 dependency
  [@Gomez - refs #249]
* Bug fix: Fix criteria_remove on checkbox view
  [@Nimo-19 - refs #248]

16.0 - (2023-10-05)
---------------------------
* Feature: Plone 6 compatibility
  [avoinea refs #231]
* Breaking: Drop Plone4 / Python2 support
  [avoinea refs #231]

15.1 - (2022-09-12)
---------------------------
* Fix: Fix TypeError: Cannot read properties of undefined (reading 'msie')
  [avoinea]
* Feature: Multiselect widget - add support for ajax vocabulary
  [avoinea]

15.0 - (2022-07-25)
---------------------------
* Upgrade step: Within "Plone > Site Setup > Add-ons" click on
  upgrade button available for eea.facetednavigation.
  Plone4: After running the upgrade step, check CSS/JS order
  within ZMI > portal_css / portal_javascripts
  [avoinea refs #231]
* Cleanup: Bundle JS/CSS resource with webpack and remove individual
  resource registrations
  [avoinea refs #231]
* Cleanup: Drop eea.jquery dependency
  [avoinea refs #231]
* Cleanup: Drop eea.faceted.vocabularies dependency
  [avoinea refs #231]

14.7 - (2021-10-29)
---------------------------
* Change: Release community contrib
  [avoinea]

14.6 - (2021-07-19)
---------------------------
* Change: Make Alphabetic Widget countable again
  [avoinea]

14.5 - (2021-03-20)
---------------------------
* Bug fix: Fix deprecated import (Zope5)
  [pbauer]
* Bug fix: Fix radio widget label within criteria body
  [avoinea]

14.4 - (2021-02-11)
---------------------------
* Feature: Add custom CSS class to a widget css classes
  [balavec]

14.3 (2020-10-16)
---------------------------
* Change: Trigger FacetedSettingsWillBeChangedEvent before faceted settings change
  [avoinea]

14.2 - (2020-10-09)
---------------------------
* Fix an issue with ContentListing when filtered search results is
  a generator (e.g. when using alphabetic widget)
  [pbauer]
* Allow solr to be not installed or not enabled
  [pbauer]

14.1 - (2020-09-02)
---------------------------
* Bug fix: Fix "test_doctests.Py23DocChecker" that was hidding failing doc
  tests by wrongly testing on "want" instead on "got".
  [gbastien refs #203]
* Feature: In GenericSetup import profile, take into account the "purge"
  attribute at the <criterion> level like it is done at <criteria> level.
  [gbastien]

14.0 - (2020-08-14)
---------------------------
* Upgrade step: Within "Plone > Site Setup > Add-ons" click on
  upgrade button available for eea.facetednavigation. If you still get a
  JS error with autocomplete facet after this upgrade,
  go to Site Setup > Resource Registries and enable, then disable
  Development Mode for Faceted Bundles.
  [avoinea refs #196]
* Feature: Add possibility to hide Search button with solr autocomplete facet
  [avoinea]
* Bug fix: Fix autocomplete solr facet CSS with Plone 5
  [avoinea]
* Bug fix: Fix select2 JS error when using autocomplete solr facet
  [avoinea refs #196]


13.8 - (2020-06-04)
---------------------------
* Bug fix: make sure orphans used in FacetedQueryHandler.query is an integer
  when using Py3 or it turns b_size to a float value that breaks plone.batching
  Fixes https://github.com/eea/eea.facetednavigation/issues/197
  [gbastien]

13.7 - (2020-01-19)
---------------------------
* Change: Give name to Dexterity behavior: eea.faceted.navigable
  [avoinea]
* Change: Add widgets areas CSS classes and style by class instead of ids
  [avoinea]
* Change: MultiSelect make closeOnSelect configurable
  [avoinea]
* Bug fix: Show widgets with invalid vocabulary in edit mode in order to be able to fix them
  [avoinea]
* Bug fix: Remove "More/Less" buttons if advanced-section is not present
  [avoinea]

13.6 - (2019-12-16)
---------------------------
* Bug fix: Fix BooleanIndex in CountableWidget.
  [cedricmessiant, maurits]
* Bug fix: Fix count in combination with fulltext search widget and collective.solr.
  Fixes https://github.com/eea/eea.facetednavigation/issues/191
  [pbauer]

13.5 - (2019-11-21)
---------------------------
* Bug fix: Fixed eselect widget reset when hide "All" option is set
  [laulaz]
* Bug fix: Invalidate faceted cache for all Dexterity content-types
  [avoinea]

13.4 - (2019-11-15)
---------------------------
* Feature: Add hide "All" option for select widget.
  [laulaz refs #184]
* Feature: Added option to Range widget to enforce numbers only
  [avoinea]
* Change: MultiSelect optimizations by selecting multiple values before FacetedQuery
  [avoinea]

13.3 - (2019-10-02)
---------------------------
* Completed catalan translations.
  [allusa]
* Bug fix: Fix MultiSelect scope of the JS change event side effects on TagsCloud
  [avoinea]

13.2 - (2019-09-19)
--------------------------
* Feature: The daterange widget automatically restricts date range in start date
  calendar.
  [daggelpop]
* Fix an issue with select widget where the synchronized value is ignored
  on the selected value section when value came from the URL
  [mpeeters]

13.1 - (2019-08-19)
--------------------------
* Change: added widget-body div wrapping content of criteria and alphabetic
  widget making it easier to add margin or padding to widget body
  [ichim-david refs #108460]
* Feature: added Faceted.Events.CLEANUP_COMPLETED event triggered after faceted
  events cleanup is called
  [ichim-david refs #106884]

13.0 - (2019-07-01)
-------------------
* Change: Add support or Python 3 and Plone 5.2.
  [pbauer, jensens, avoinea - refs #158]

12.2 - (2019-05-20)
--------------------------
* Feature: Provide an uninstall profile
  [erral]
* Bug fix: Allow path within Tags Cloud facet
  [avoinea]

12.1 - (2019-04-09)
------------------------
* Feature: Added "faceted-widget-active" CSS class on widget with selected criteria
  [avoinea]
* Change: Moved helper html entities like [X] to CSS
  [avoinea refs #96]
* Bug fix: Fixed default language select on translations other than english
  [avoinea refs #103094]
* Bug fix: Fixed MultiSelect UnicodeDecodeError: 'ascii' codec can't decode byte 0xc4 in position 4
  [avoinea]
* Bug fix: Fixed date range widget validation
  [avoinea refs #145]

12.0 - (2019-04-04)
--------------------------
* Upgrade step: Within "Plone > Site setup > Add-ons" click on
  upgrade button available for eea.facetednavigation.
  [avoinea]
* Feature: Added MultiSelect Faceted Widget
  [avoinea]
* Feature: Added editable placeholder on facets with text inputs
  [avoinea]
* Bug fix: Fixed Checkboxes/Radio widget More/Less i18n
  [avoinea]

11.9 - (2019-03-29)
--------------------------
* Change: Updated theme colors to fit Plone 5 default theme colors
  [avoinea]
* Bug fix: Removed double loading spinner within edit mode
  [avoinea]

11.8 - (2019-03-05)
--------------------------
* Change : display message 'No results were found.' when no results found
  [gbastien]
* Change: Update README and Plone 4/5 sample buildouts
  [avoinea]

11.7 - (2019-01-30)
--------------------------
* Jenkins: Add sonarqube step
  [avoinea refs #101552]

11.6 - (2018-12-11)
--------------------------
* Complete basque translation
  [erral]
* Fix alphabetic bar for basque language
  [erral]

11.5 - (2018-11-19)
--------------------------
* Change : set Faceted.Options.FADE_SPEED to 'fast' instead 'slow' by default
  [gbastien]
* Change: make spinner easy to override by defining a CSS background-image
  instead rendering an image
  [gbastien]

11.4 - (2018-11-09)
------------------------
* Change: display translated 'Relevance' instead nothing in the sorting widget
  [gbastien]

11.3 - (2018-10-29)
-------------------
* Bug fix: Fix preview item templates for orphan brains
  [avoinea refs #99847]

11.2 - (2018-09-12)
-------------------
* Completed french translations.
  [gbastien]
* Change: updated URLs pointing to eea.europa.eu with https://
  [alecghica refs #95849]

11.1 - (2018-05-14)
-------------------
* Encode index before apply if necessary
  [tomgross]

11.0 - (2018-03-23)
-------------------
* Cleanup: Remove broken links and added contribution section
  [demarant]

10.9 - (2018-03-14)
-------------------
* Encode the seach value to utf-8.
  [thet]
* Change: cleaned jQuery migrate warnings
  [ichim-david refs #91577]

10.8 - (2018-01-26)
-------------------
* Change: view.css css cleanup of empty selectors and removed
  overflow from left-area and right-area
  [ichim-david refs #91590]

10.7 - (2017-12-12)
-------------------
* Change: Replace eeacms/zptlint with eeacms/plone-test:4 zptlint
  [avoinea refs #90415]
* Bug fix: Fix JS Error for Text Widget with default value
  [avoinea refs #89955]
* Bug fix: Fix ICriteria upgrade boolean schema (count, reverse, etc.)
  [avoinea refs #89955]
* Bug fix: Fix ICriteria upgrade empty default to [u'']
  [avoinea refs #89955]
* Change: remove unused css
  [petchesi-iulian refs #88382]

10.6 - (2017-11-15)
-------------------
* Change: Update jstree to work with eea.jquery 10.3+
  [avoinea refs eea.jquery#7]
* Upgrade step: Within "Plone > Site setup > Add-ons" click on
  upgrade button available for eea.facetednavigation.

10.5 - (2017-11-14)
-------------------
* Change: Remove Sphinx generated documentation
  [petchesi-iulian refs #88212]

10.4 - (2017-08-22)
-------------------
* Bug fix: The daterange widget restriction on end date must be the start date and not the day after.
  The dates in range can be the same day (as before).
  [sgeulette]

10.3 - (2017-05-22)
-------------------
* Change: fixed PyLint warnings and errors
  [eduard-fironda refs #84949]

10.2 - (2017-05-02)
-------------------
* Change: updated package information
  [eduard-fironda]

10.1 - (2017-03-20)
-------------------
* Bug fix: Updated to previous change: restored replace of 'term.' in
  vocabulary id for Products.ATVocabularyManager compatibility.
  [tsimkins]
* Bug fix: Do not use a name to query collective.solr search utility
  [tschorr]
* Feature: Protect against slow IWidgetFilterBrains adapters
  [avoinea refs #83219]
* Change: Updated the sorting widget to use the term title value from
  the vocabulary (if selected) rather than the index titles.
  [tsimkins]
* Change: Make it work in a completly Archetypes free Plone 5.1.
  [jensens]

10.0 - (2016-10-23)
-------------------
* Feature: updated documentation for Plone 5
  [alecghica]
* Bug fix: fix `b_start[]` in `@@faceted_query` parameters which
  resulted in double `b_start`: `b_start[]` and `b_start:int`.
  [david-batranu refs #114]
* Upgrade step: Within "Plone > Site setup > Add-ons" click on
  upgrade button available for eea.facetednavigation. If this fails
  uninstall EEA Faceted Navigation and Install it again
  [avoinea refs #115]
* Feature: make boolean index work well with radio widget.
  [cedricmessiant]
* Bug fix: fix faceted count when _seq is a list of tuple values instead
  of ints which could happen with ZCatalog 3 within a Plone 4 site
  [ichim-david refs #75384]
* Change: Plone 5 full support
  [avoinea #90]
* Change: Dropped Archetypes dependency and upgraded to z3c.form schema.
  [avoinea #87]
* Change: Re-organized JS/CSS resources in bundles.
  [avoinea #88]
* Change: Dropped auto-generated CSS/JS `faceted_view.js`, `faceted_edit.js`,
  `faceted_view.css`, `faceted_edit.css` resources
  [avoinea #88]
* Feature: Traditional Chinese translation updates
  [l34marr]
* Change: To use better sort algorithm, add b_start and b_size to query when
  there are no post filters.
  [vincentfretin]
* Change: For ZCatalog counter queries, don't do unnecessary sort and brains
  instantiation when there are no post filters.
  [vincentfretin]
* Bug fix: Fix 'This site encountered an error trying to fulfill your request'
  error with autocomplete criterion when typing characters slowly and so
  aborting previous requests. Set select2 params global: False to not execute
  the globally registered ajaxError. This avoid to have the large spinner too.
  [vincentfretin]

9.8 - (2016-10-03)
------------------
* Feature: make boolean index work well with radio widget.
  [cedricmessiant]

9.7 - (2016-09-13)
------------------

9.6 - (2016-09-13)
------------------
* Bug fix: fix faceted count when _seq is a list of tuple values instead
  of ints which could happen with ZCatalog 3 within a Plone 4 site
  [ichim-david refs #75384]

9.5 - (2016-08-29)
------------------
* Change: To use better sort algorithm, add b_start and b_size to query when
  there are no post filters.
  [vincentfretin]
* Change: For ZCatalog counter queries, don't do unnecessary sort and brains
  instantiation when there are no post filters.
  [vincentfretin]

9.4 - (2016-08-17)
------------------
* New egg release
  [alecghica refs #74877]

9.3 - (2016-08-17)
------------------
* Bug fix: Fix 'This site encountered an error trying to fulfill your request'
  error with autocomplete criterion when typing characters slowly and so
  aborting previous requests. Set select2 params global: False to not execute
  the globally registered ajaxError. This avoid to have the large spinner too.
  [vincentfretin]

9.2 - (2016-06-16)
------------------
* Bugfix: fixed language adapter language property for context which does not
  have getLanguage
  [ichim-david]

9.1 - (2016-06-02)
------------------
* Change: Update tests to plone.app.testing
  [avoinea refs #89]

9.0 - (2016-05-19)
------------------
* Feature: Add setting to allow the use of Plone date format and language to
  render daterange widget and criteria label.
  Old behavior (with format yy-mm-dd) is set by default and is still working
  the same way as before to allow special years (like '0001').
  [laulaz refs #99]
* Feature: The daterange widget automatically restricts date range in end date
  calendar.
  [laulaz refs #98]
* Bug fix: Fix pylint warnings
  [ichim-david refs #71940]

8.9 - (2016-03-31)
------------------
* Bug fix: With jquery 1.9 theres no more jquery.browser, remove the usage
  of it.
  [pcdummy]
* Bug fix: With autocomplete select2 widget, when data value for 'multivalued'
  is imported, it is stored as '1' and not as 'True', take this into account
  in the widget, we may not use the stored value immediately.
  [gbastien]

8.8 - (2016-03-01)
------------------
* Change: The autocomplete widget now uses select2 instead of
  jquery.autocomplete. It supports mono value or multi values.
  This release registers select2 javascript library in portal_javascripts.
  [vincentfretin]
* Feature: Added classifiers in ``setup.py`` for clarity.  Claim that the
  package works on Plone 4.0 through 4.3, and on Python 2.6 and 2.7.
  [maurits]
* Bug fix: fixed ``MANIFEST.in`` file so releases are sure to contain all the
  needed files.
  [maurits]
* Feature: read default value of widget from the request. Fallback to the
  default set on the widget.  For example, if you have a faceted text
  widget that searches in the SearchableText index, and you have
  ``?SearchableText=fun`` in the url, then the widget will show
  ``fun`` as default value.
  [maurits]
* Bug fix: Get the correct template object for "Plone Portlet" widgets
  [skurfer]

8.7 - (2015-12-07)
------------------
* Change: Removed CSRF security quickfix for tests
  [szabozo0 refs #30858]

8.6 - (2015-11-17)
------------------
* Fixed tests, disabled CSRF protection while testing
  [szabozo0 refs #30716]

8.5 - (2015-10-22)
------------------
* Bug fix: Infinite loop of javascript spinner after Browser refresh.
  [karalics] PR #69
* Bug fix: Fixed rendering issues for current search widget
  [szabozo0 refs #28743]
* Feature: Add field 'autocomplete_view' on theautocomplete widget to be able
  to select the suggestion view. Register a solr suggestion view.
  [sdelcourt]

8.4 - (2015-10-05)
------------------
* Bug fix: Safely access *count* method on widget in order to avoid errors like:
  *Widget object has no attribute 'count'* when counting non-countable widgets
  [voineali refs #28781]

8.3 - (2015-09-10)
------------------
* Change: trigger an event just before a query is made by FacetedCatalog.
  [cedricmessiant]
* Bug fix: Sort ICriteria.criteria when a new criterion is added.
  [gbastien]

8.2 - (2015-08-18)
------------------
* Feature: in the GenericSetup import step, make the "purge" parameter work
  at the "criteria" level, for now it was always purged, it is now possible
  to not purge and add extra criteria
  [gbastien]
* Feature: make boolean index work well with checkbox widget.
  [cedricmessiant]

8.1 - (2015-07-06)
------------------
* Change: applied styles tweaks for faceted edititing when used together
  with Twitter Bootstrap
  [ichimdav refs #25986]
* Bug fix: Cleanup debugging console.log
  [avoinea refs #67]
* Tune: avoid useless instantiation when using macros
  [gotcha]
* Feature: Added 'wildcard' checkbox to the text widget
  that, when checked, will do a wildcard search automatically
  [gbastien]

8.0 - (2015-04-15)
------------------
* Feature: Added possibility to easily redefine default faceted widgets. Just
  register a browser:page named default_widgets.xml for your interfaces. See
  default.xml within eea.facetednavigation.browser.templates
  [avoinea]

7.9 - (2015-03-17)
------------------
* Change: Switched to curl in the jenkins build install script
  [olimpiurob refs #22402]
* Change: Changed fetch url for jenkins build install script to the install
  script from the main EEA CPB repository
  [olimpiurob refs #22402]

7.8 - (2015-02-16)
------------------
* Play nice with collective.solr
  [tomgross]

7.7 - (2015-02-03)
------------------
* Fix: basic support for collections coming from plone.app.contenttypes
  [kiorky]

7.6 - (2015-01-22)
------------------
* Fix: support Dexterity items with image (on the 'image' field)
  [kiorky]

7.5 - (2014-12-23)
------------------
* Bug fix: Fix upgrade steps and registry.xml. Also safely check for
  disable_diazo registry without hard crash if it doesn't exists.
  [avoinea]

7.4 - (2014-12-12)
------------------
* Bug fix: Fixed default profile to be imported when installing
  from Site Setup > Add-ons
  [avoinea refs github #57]
* Added widget specific class based on title and type
  [agitator]

7.3 - (2014-11-20)
------------------
* Fix: Fixed unescaped html in filters widget
  [olimpiurob]
* Fix: Use normalized id's for li in checkbox and boolean widgets.
  [olimpiurob]
* Give Site Administrators permissions to change faceted settings.
  [rpatterson]
* Add Plone 5 support and move Plone 4 support into a BBB profile
  [rpatterson]
* Change: Make faceted navigation configuration work for dexterity Items
  [sunew]

7.2 - (2014-08-27)
------------------
* Change: Cleanup plone3compat legacy code
  [avoinea]

7.1 - (2014-08-12)
------------------
* Upgrade step: Within "Plone > Site setup > Add-ons" click on
  upgrade button available for eea.facetednavigation
* Cleanup: Removed default object_provides widget for new Faceted Navigable items
  [avoinea]
* Change: Removed default hardcoded sorting by effective date, reversed as
  this can be easily accomplished with a sorting widget. Also added an upgrade
  step that adds a hidden sorting widget by effective date
  (if no sorting already present) in order to keep backward compatibility.
  [avoinea refs github #44]
* Feature: Possibility to select sort_on and sort_order indexes within
  TAL Expression field
  [avoinea refs github #44]
* Feature: Made faceted navigation new-style Collection query aware
  [avoinea refs github #52]
* Added a registry property to disable diazo rules on faceted query ajax request.
  [thomasdesvenain]

7.0 - (2014-07-15)
------------------
* Cleanup: Cleaned css and js registry
  Thx to Yuri for reporting this.
  [avoinea]

6.9 - (2014-06-30)
------------------
* Change: set CSS resources by default to have rendering as 'link'.
  Thx to Yuri for reporting this.
  [ghicaale]

6.8 - (2014-05-13)
------------------
* Fix an error with non-ascii characters in keyword vocabulary
  [mpeeters]
* Feature: Made it possible to reset the date filter by manually deleting
  the start/end fields.
  [nightmarebadger]
* Widget css class is an attribute of widget object,
  to make it more easy to override.
  [thomasdesvenain]
* Fix: workaround for weird firefox behavior on select widget.
  Depending on the options one chooses, firefox shows the wrong selected option
  [do3cc]
* Feature: In radio- and checkbox-widgets the number of results is appended
  to <label> instead of <li>. This allows to style line-breaks better
  [pbauer]
* Fix: for consistency with select widget, radio and checkbox widgets
  are not displayed if vocabulary is empty.
  [thomasdesvenain]
* Feature: plone.app.contenttypes-compatibility for select and tagcloud widgets.
  [pbauer]
* Allow DateRecurringIndex (start and end-date of events provided by plone.app.contenttypes
  with plone.app.event) for sorting.
  [pbauer]

6.7 - (2014-01-29)
------------------
* Bug fix: Fix labels in "Current filters" widget
  [avoinea]
* Bug fix: Corrected 'Current filters' in Polish translation.
  [prospchr]

6.6 - (2014-01-21)
------------------
* Bug fix: Fix field default value rendering with chameleon,
  avoiding use of 'default' name in tal, wich is a reserved keyword.
  [thomasdesvenain]
* Bug fix: Fix xml import of '0' values for boolean properties
  which were considered as True.
  [thomasdesvenain]
* Feature: Add a new widget : BooleanWidget
  We get a checkbox widget to filter contents
  which gets a true boolean value for an index (FieldIndex or BooleanIndex).
  [thomasdesvenain]
* Bug fix: In search mode, search results were not kept when we go back.
  [thomasdesvenain]
* Feature: French translations updates.
  [thomasdesvenain]
* Bug fix: Added translations for 'Current filters'.
  [prospchr]
* Feature: Radio and checkbox widgets query for unicode or encoded strings
  depending on the availability of plone.app.contenttypes. This is a
  requirement to work with dexterity
  [do3cc]
* Feature: adding Sphinx-generated documentation in Page Template format
  [batradav refs #9502]

6.5 - (2013-11-20)
------------------
* Bug fix: fix url handling in settings menu
  [kiorky]

6.4 - (2013-10-25)
------------------
* Bug fix: Added 'Current filters' to plone-manual.pot and updated po files.
  [prospchr]

6.3 - (2013-10-04)
------------------
* Bug fix: Add sensical da translations
  [tmog]

6.2 - (2013-09-23)
------------------
* Feature: Option to disable inheriting the configuration from the canoical
  language (only displayed when the object is not canonical).
  [pbauer]

6.1 - (2013-09-13)
------------------
* Bug fix: Allow using keywords with spaces in a radio-widget.
  [pbauer]
* Bug fix: Fixed adding path facet on faceted navigable objects that are default
  views for their parents
  [avoinea refs #33 github]
* Feature: Slovak translation updates
  [rlacko]

6.0 - (2013-09-06)
------------------
* Feature: Possibility to make AND/OR operator within checkbox facet visible
  for anonymous users
  [voineali refs #16624]

5.9 - (2013-08-09)
------------------
* Date range error message is delegated so it can be overriden.
  [thomasdesvenain]
* Updating feeds to use the syndication available in Plone 4.3
  [hman]

5.8 - (2013-07-08)
------------------
* If dexterity is installed, added a behavior that allows to enable faceted
  navigation on all instances of a dexterity portal type.
  [thomasdesvenain]
* We have an option to hide "All" option from radio widget.
  [thomasdesvenain]
* Bug fix: If we have selected "search only in all elements" for text widget,
  behavior is the one expected.
  [thomasdesvenain]
* Bug fix: Fix ui-icon-hide and ui-icon-show in configure_faceted.html view
  in Plone 4.3.1.
  [cedricmessiant]

5.7 - (2013-06-17)
------------------
* Bug fix: Fix JS typo within DateRange widget
  [voineali refs #14677]
* Criteria entries are each in a span container.
  [thomasdesvenain]

5.6 - (2013-05-20)
------------------
* Add ids to criteria filtering entries.
  [thomasdesvenain]
* Fix: Iterate on batch instead of folderContents in preview-items.pt
  It previously loaded all objects instead of the only first 100 when no
  criterion was given.
  [vincentfretin]
* Feature: Removed lovely.memcached dependency
  [voineali refs #14343]
* Change: Added id to <li> in checkbox widget.
  [cedricmessiant]
* Change: changed links for open and closed issues for facetednavigation to
  point to taskman
  [ichim-david]
* Fix: Prevent whole select form from appearing if vocal is empty
  [davismr]
* Fix: Add labels for select and text field, fixes issues 29 and 30
  [davismr]
* Fix: text widget input immediately gets value set in the url as input value.
  [thomasdesvenain]
* Add an option to hide all/current alternative on text search widget.
  [thomasdesvenain]

5.5 - (2013-02-25)
------------------
* Feature: added information for contributors
  [ciobabog refs #13892]
* Change: Plone 4.3 compatible
  [lewicki]

5.4 - (2013-02-04)
------------------
* Bug fix: Fixed: Faceted countings are not updated for checkboxes
  widget if AND operator is used
  [hman refs #8061]
* Bug fix: Fixed: Date widget doesn't update when value comes from URL
  [hman refs #8382]
* Bug fix: Fixed: Bug in the Alphabetic widget
  [hman refs #8831]

5.3 - (2012-11-22)
------------------
* Bug fix: Fixed: faceted CSS overrides ui-accordion and ui-state-default
  styles and breaks things outside faceted navigable pages (e.g. Daviz Edit)
  [voineali refs #9610]
* Feature: Slovak translation updates
  [rlacko]

5.2 - (2012-11-09)
------------------
* Feature: Support new Collection (plone.app.collection) and
  new Folder (plone.app.folder) by default
  [avoinea]
* Change: Disable by default for new faceted navigable pages
  all the advanced settings like: smart facets hiding. Also disable Plone
  portlets left/right columns. These still can be activated within the
  'Faceted settings' menu.
  [avoinea refs #24 github]
* Bug fix: folder content listing when there are no search results
  [hman fixes #10]

5.1 - (2012-10-08)
------------------
* Bug fix: Fixed 'smart facets hiding' property for faceted inheritors.
  [ghicaale refs #5564]
* Feature: Adding new "Results Filter" widget which allows filtering the resulting
  brains from a query using a tal expression, similar to the "TAL Expression" widget
  [batradav]

5.0 - (2012-09-18)
------------------
* Bug fix: Review state was fixed to ``published`` only. Let the catalog filter this.
  Explanation at `mailing list <https://groups.google.com/forum/?hl=en&fromgroups=#!topic/eea-facetednavigation/jcpZTKQp0dA>`_
  Upgrade step: warning for those still using old workflows with
  the infamous state 'visible' aka 'Public draft' and you want to exclude
  such content from searches, than follow instructions at mailing list above.
  [jensens]
* Bug fix: Cleanup zope.app.content.interfaces.IContentType dependency
  [voineali]
* Feature: Adding posibility to sort CountableWidget instances by the counted results
  [batradav]
* Bug fix: Only reorder options of select widget, sorting by count is active
  [do3cc]

4.9 - (2012-08-27)
------------------
* Bug fix: With some widgets (sort, date), batch navigation was broken.
  [thomasdesvenain]
* Feature: Added buildouts folder which will contain various samples of configurations
  [ghicaale #5418]
* Bug fix: Changed selector when checking for syndication which was changed
  from Plone 2.5 to Plone 4
  [ichimdav #5412]
* Feature: Extracted po message about date widget for all languages.
  [thomasdesvenain]
* Feature: French translations
  [thomasdesvenain]
* Feature: Fixed sort widget reverse option switch.
  [thomasdesvenain]
* Feature: Sort widget works with checkbox/radio widget counters.
  [thomasdesvenain]
* Bug fix: Check if type has a '/view' url (is in typesUseViewActionInListings)
  on faceted preview item view.
  [thomasdesvenain]
* Feature: Added a Faceted.Options object in view.js
  so that some behaviors can be customized
  [thomasdesvenain]

4.8 - (2012-07-17)
------------------
* Bug fix: Fixed formated_time method in daterange widget to also accept years
  as valid dates
  [voineali fixes #5371]
* Feature: Changed the i18n keys in .pt inorder to use Google translator kit for
  translations. Added new translations: bg, cs, da, el, et, fi, hu, is, lt,
  lv, mt, nl, no, pt, ru, sk, sl, sv, tr
  [prospchr fixes #5378]

4.7 - (2012-07-13)
------------------
* Bug Fix: Fixed i18n missing attributes in .pt files
  [prospchr refs #5162]

4.6 - (2012-06-12)
------------------
* Upgrade step: Within "Plone > Site setup > Add-ons" click on
  upgrade button available for eea.facetednavigation
  [voineali refs #5218]
* Feature: Added 'search' mode for faceted navigable items. See 'Actions' menu.
  'search mode' => Display no items on load, just the faceted widgets/facets
  Useful when you want to replace Plone default search form with a faceted
  navigable one. Also this is useful when you enable faceted navigation on
  large databases.
  [voineali refs #5218]
* Feature: Added a way to disable 'smart facets hiding'. See 'Faceted settings' menu.
  'smart facets hiding' => facets are hidden if there is only one page of results
  [voineali refs #3581]

4.5 - (2012-04-26)
------------------
* Improve daterange index (large intervals)
  [kiorky]
* Add range index
  [kiorky]

4.4 - (2012-04-03)
------------------
* Change: Added 'faceted-preview-items' View as the default view for Faceted
  navigable objects instead of relaying on 'folder_listing' to be forever
  compatible with eea.facetednavigation. This is also a more flexible solution
  as you can customize each item display by providing a custom
  'faceted-preview-item' z3 component for each of this items.
  [voineali #4968]
* Fixed: Dynamically get old-style Faceted Views (Faceted Layouts) used by the
  Display menu, instead of caching them in annotations
  [voineali]
* Change: Always find language-independent content
  [pbauer]
* Change: Updated Faceted Views example (see
  eea.facetednavigation.views.example.summary.pt for more details on how the
  template should look in order to be used as a Faceted View)
  [voineali]
* Feature: Added round corners, gradients and box shadows in edit mode
  [voineali]
* Added Italian translation and some i18n missing strings
  [giacomos]

4.3 - (2012-01-03)
------------------
* Hide/show criteria on criteria widget is now an option on this widget.
  It remains enabled by default.
  [thomasdesvenain]
* Fixed: when a checkbox field had a default value as 'True',
  when widget was set to 'False' (unchecked)
  on the form, the checbox remained checked after submission.
  [thomasdesvenain]
* Some internationalization fixes, msg extraction and french translations.
  [thomasdesvenain]

4.2 - (2011-12-15)
------------------
* Bug fix: Include .mo translation files in the egg
  [voineali]
* Bug fix: Wrapped value from select widget with "" to avoid option attribute
  selector error with jquery 1.7.1 when the value contained a non continuos word
  [ichimdav]
* Feature: Added an easy way to define Faceted Views for the results using
  Zope3 components. See eea.facetednavigation.views.example for more details
  [voineali]

4.1 - (2011-11-06)
------------------
* Feature: Replaced hardcoded green colors in Tags Widget in order to easily
  customize faceted theme
  [voineali]
* Feature: Replaced the "basic search/extended search" accordion with a more
  simple and user friendly "More/Less filters" button
  [voineali #2408]
* Feature: Added "Hide/Show filters" button to "Criteria widget"
  [voineali #4551]
* Bug fix: Fixed back button by forcing jQuery to use traditional way to
  parametrize query
  [voineali #4524]
* Bug fix: Use 'eea.faceted.configure' permission for all faceted related views
  in order to avoid having actions that raise Insufficient Privileges
  [voineali]
* Bug fix: Fixed duplicate resources load if faceted widgets are using the same
  CSS/JS resource
  [voineali #4510]
* i18n: Cleanup all widgets schema to use translations messages
  [voineali]
* i18n: Fixed actions.xml to use 'eea' i18n:domain
  [voineali]
* i18n: updated romanian translation
  [voineali]
* i18n: updated german translation.
  [jensens]
* Internationalization
  [thomasdesvenain]
* Feature: Added possibility to disable plone left/right columns in view mode
  [voineali #4493]
* Feature: Disabled plone left/right columns in edit mode
  [voineali #4493]
* Feature: Switched show.png with hide.png as it seems more logical this way
  [voineali]
* Feature: Added javascript that will allow to add an indipendent faceted
  search on any other page. it will translate the submitted keys and values into
  faceted anchors parameters. the js has example on how to use it.
  [demarant]
* Feature: HTML5 validation [ghicaale #4444]
* Feature: Improved performance for large queries by avoiding unnecessary
  iteration over results.
  [yomatters]
* EEA Feature: Added upgrade script to fix default layout ('folder_summary_view'
  for Plone3 ported objects).
  [voineali #4439]
* Feature: Added upgrade scripts to cleanup p4a.subtyper interface references and
  annotations.
  [voineali #4439]
* Feature: Changed word break in checkbox and radio facet from 5 to 15 characters.
  [vincentfretin]
* Bug fix: Fixed atct_album_view layout
  [voineali #4369]

4.0 - (2011-06-24)
------------------
* Bug fix: do not display empty text criteria on criteria widget.
  [thomasdesvenain]
* i18n: resynced, added stubs with some terms translated for: it, pl, es
  [jensens]
* Bug fix: catalog index vocabulary works with int or float values.
  [thomasdesvenain]
* Change: Delegate criteria display check to a view so it can be customized.
  [thomasdesvenain]
* Bug fix: Fixed cachekeys as they where not unique in some situations.
  [voineali #4254]
* Feature: Added a po generation script.
  Added french translations.
  Added translations file for plone domain.
  Internationalized schemata, forms and vocabularies.
  Optimizations.
  [thomasdesvenain]
* Feature: i18n: added locales directory and registered it.
  Added pot-file and po file with translations for german.
  Added i18n-domains to a bunch of pt-files to
  make i18ndude happy. [jensens, 2011-05-09]
* Bug fix: When navigating the tabs of eea.relations popup,
  the number of AJAX calls increases [voineali #3588, #4232]
* Cleanup: Dropped simplejson dependency [voineali #4254]
* Feature: Added a way to disable IPossibleFacetedNavigable for Plone default
  Content-Types [voineali #4254] - Thanks to thomasdesvenain
* Feature: Removed "Layout" menu, and override "Display" menu in order to
  keep consistency and not to confuse novice users with to many places to
  select object layout/display [voineali #4254]
* Feature: Dropped p4a. dependencies [voineali #4254]
* Bug fix: Fixed GenericSetup circular dependencies warning [voineali #4254]
* Bug fix: Fixed Schema positional arguments warning [voineali #4254]
* Bug fix: Fixed faceted_subtyper permissions [voineali #4254]
* Bug fix: Fixed configure faceted permission [voineali #4254]
* Feature: Simplified "possible faceted navigable" mechanism. Now all you have
  to do is to implement IPossibleFacetedNavigable interface within your
  configure.zcml, no more p4a.subtyper descriptors for each portal type.
  [voineali #4254]
* Cleanup: Fixed all pylint, pyflakes violations [voineali #4254]
* Cleanup: Use "eea" i18n domain for all EEA packages [voineali #4254]
* Bug fix: Non eea vocabularies values are translated [thomasdesvenain]
* Bug fix: Plone 4.1 compatible [thomasdesvenain]
* Feature: Keep input text for Text facet on submit [voineali]
* Feature: If TAL wigdet returns a callable, call it [jensens]
* Bug fix: Fix TAL and Text field set default value [voineali]
* Bug fix: Fix facets position update [voineali]
* Bug fix: Fix checkboxes facet set default value [voineali]
* Feature: Path widget got depth query parameter. [jensens, 2011-03-01]
* Bug fix: Fixed Widgets: TAL (removed index field, made expression visible),
  Path (default handling was broken). Some code-cleanup and simplifications.
  [jensens, 2011-03-01]
* Change: Added entry-point for z3c.autoinclude to setup.py and thus make it
  simple to install [jensens, 2011-02-22]
* Bug fix: Fixed counting issue caused by jQuery 1.4 params style.
  [voineali #3658]
* Bug fix: Fixed alphabetic widget [voineali #3658]
* Bug fix: Fixed text widget query [voineali #3974, #4018]
* Bug fix: Fixed JS Faceted URL change trigger on first page access if no
  facet is visible [voineali #3970]
* Bug fix: Fixed batch navigation [voineali]
* Change: Modified SKOS view so that tests pass without LinguaPlone. [yomatters]
* Change: Removed unnecessary menu item registration for syndication. [yomatters]
* Bug fix: Fixed cache headers for @@faceted_counter, @@tagscloud_counter. [voineali #3935]
* Bug fix: Faceted tal expression widget ignores values with value False [voineali #3890]

4.0-rc1 (2010-11-15)
--------------------
* Feature: Moved to Plone collective and start make the package compatible with Plone 4.
  [voineali, ghicaale, hpeteragitator]

3.11 - (2011-05-24)
-------------------
 * Feature: Replaced hardcoded green colors in Tags Widget in order to easily
   customize faceted theme [voineali]

3.10 (2011-04-19)
-----------------
* Bug fix: Fixed subtyper access on Plone 2.5 [voineali]
  Use this version on Plone 2.x as version 3.9 is broken.

3.9 (2011-04-19)
----------------
* Bug fix: Fixed permission for subtyper [voineali]

3.8 - (2010-12-22)
------------------
* Bug fix: Removed UnicodeSplitter from text widget query as it was bugous and
  fixed it to work also with "(", ")" in query [voineali #4018]

3.7 - (2010-12-13)
------------------
* Bug fix: Fixed text widget query for non ZCTextIndex indexes.
  [voineali #3974]
* Bug fix: Fixed JS Faceted URL change trigger on first page access if no
  facet is visible.
  [voineali #3970]

3.6 - (2010-11-30)
------------------
* Bug fix: Set cache headers for @@faceted_counter, @@tagscloud_counter
  [voineali #3935]

3.5 - (2010-11-23)
------------------
* Bug fix: Faceted tal expression widget ignores values with value False.
  [voineali #3890]

3.4 - (2010-09-30)
------------------
* Bug fix: Fixed search by words containing "(", "-" etc [ghicaale #3639c
* Bug fix: Fixed random failure of daterange doctests [voineali #3664]

3.3 (2010-09-06)
----------------
* Bug fix: Fixed expandable and collapsible widgets when used in combination with
  hide zero count items [voineali #3457]
* Bug fix: Fixed faceted counter for custom portal types defined by
  portal_faceted tool [voineali #3139]

3.2 (2010-08-16)
----------------
* Bug fix: Fixed alphabetic widget crash when REQUEST.LANGUAGE like 'it-it'.
  [voineali #3499]
* Change: Better small loader animation for facets,
  as the previous was not visible enough [demarant]
* Feature: Added TAL Expression Widget to allow one to define dynamic queries
  (e.g. limit faceted query to context path) [voineali #3538]
* Change: Cleanup faceted js/css computing mechanism and use
  portal_javascripts/portal_css instead as eea.jquery provides profiles for
  each jQuery plugin [voineali #3553, #3487]

3.1.1 (2010-07-07)
------------------
* Bug fix: Fixed failing tests [voineali]

3.1 (2010-07-01)
----------------
* Bug fix: Fixed facets not appearing in google chrome [voineali #3371]
* Feature: Use jquery.bbq plugin for browsing history [voineali #3371]

3.0 (2010-06-16)
----------------
* Change: faceted_view.css has no condition anymore in portal_css profile.
  Removed duplicate from faceted_edit.css [voineali #3409]
* Feature: Made Large Folder faceted navigable [voineali #3059]
* Feature: Added special faceted widget ETag in order to easily generate another
  faceted version id which is used by squid or other proxy caching systems.
  See docs/versions.txt [voineali #3338]
* Change: Cleanup old css/js profile by removing duplicated items (@@ ones)
  [voineali]
* Feature: Make faceted navigation aware of collection's query. [#3275]
  [Thanks to Izhar Firdaus]
* Bug fix: Moved faceted actions from portal_fiveactions to portal_actions
  as as it caused conflicts with p4a.plonecalendar and p4a.video. [#3275]
  [Thanks to Izhar Firdaus]
* Change: Refactored field.Vocabulary to be reused also with other fields
  than StringField [voineali]
* Upgrade step:
  Within portal_setup import all steps using 'EEA Faceted Navigation' profile
  or reinstall it from portal_quickinstaller.

2.0 (2010-05-07)
----------------
* Change: Update API to easily access default criteria [voineali #2939]
* Feature: Adjust faceted navigation JavaScript to work outside faceted navigable
  contexts using a previously defined faceted navigable configuration. This way,
  by providing faceted navigable URL it can be used in pop-ups,
  dialogs, etc [voineali #3198]
* Bug fix: Fixed that z3 vocabularies are not updated at runtime [voineali #3239]

1.9 (2010-03-26)
----------------
* Bug fix: Fixed faceted text widget error [voineali #3162]

1.8 (2010-03-18)
----------------
* Bug fix: Fixed that after last update faceted widgets not responding.
  [voineali #3157]
* Feature: Added debug widget [voineali #3141]

1.7 (2010-03-16)
----------------
* Change: Replaced after_query method with IWidgetFilterBrains adapter.
  [voineali #3141]
* Feature: Support non-ascii keywords vocabulary [voineali #3100]

1.6 (2010-02-15)
----------------
* Feature: Enable and/or search operator on faceted checkbox widget.
  [voineali #2940]
* Feature: Added an error layer in order to easily see widgets with configuration
  problems and fix them without disabling JavaScript in browser
  and then trying to figure out which one is causing the problem and remove it.
* Bug fix: Fixed relative path problems for path widget when using
  in production [voineali #2625]
* Change: Make date range widget more user friendly using
  jquery ui datepicker [voineali #2871]
* Change: Make date widget more user friendly using jQuery slider plugin.
  [voineali #2871]
* Bug fix: Fixed that if jquery is present in portal_javascirpts do not reload it in
  faceted_view.js / faceted_edit.js [voineali]

1.5 (2010-01-18)
----------------
* Feature: Add path (location) widget [voineali #2625]
* Bug fix: Fixed translate UnicodeDecodeError [voineali #2907]

1.4 (2009-11-27)
----------------
* Feature: Memcache tagscloud_counter results. Also use eea.cache in order
  to dynamically set and invalidate memcache dependencies. [voineali #2801]
* Feature: Implemented a version control system for faceted configuration
  in order to invalidate proxy cache systems like squid by requesting a new URL.
  [voineali #2783]
* Bug fix: Fixed IE submit form when return is pressed in search field.
  [voineali #2825]
* Feature: Keep minimum of distinct URLs for same queries in order to
  cache efficiently [voineali #2596]

1.3 (2009-11-18)
----------------
* Bug fix: Fixed document actions position too high. [thuliper #2792]
* Bug fix: Scroll window to top when Less button is clicked. [voineali #2799]

1.2 (2009-11-09)
----------------
* Change: Remove LinguaPlone and ATVocabularyManager dependencies. [voineali]
* Change: Make eea.faceted.tool optional. [voineali]
* Bug fix: Fixed export/import criteria ids. [voineali]

1.1 (2009-10-30)
----------------
* Duplicate release 1.0r1

1.0r1 (2009-10-30)
------------------
* Bug fix: This package should not be zip_safe. [voineali]

1.0 (2009-10-30)
----------------
* Initial release
